import es, gamethread, playerlib

es.ServerVar("nadetrail_ver", "1.0", "The version of NadeTrail you are running.").makepublic()

def round_start(event_var):
    for nt_userid in playerlib.getPlayerList("#all"):
        gamethread.cancelDelayed("s_he_%s" % nt_userid)
        gamethread.cancelDelayed("s_sg_%s" % nt_userid)
        gamethread.cancelDelayed("s_fb_%s" % nt_userid)

def unload():
    for nt_userid in playerlib.getPlayerList("#all"):
        gamethread.cancelDelayed("s_he_%s" % nt_userid)
        gamethread.cancelDelayed("s_sg_%s" % nt_userid)
        gamethread.cancelDelayed("s_fb_%s" % nt_userid)

def weapon_fire(event_var):
    if event_var["weapon"] == "hegrenade":
        gamethread.delayed(0.15, getentity, args=(event_var["userid"], 1))
    if event_var["weapon"] == "flashbang":
        gamethread.delayed(0.15, getentity, args=(event_var["userid"], 2))
    if event_var["weapon"] == "smokegrenade":
        gamethread.delayed(0.15, getentity, args=(event_var["userid"], 3))

def getentity(nt_userid, nt_type):
    nt_player = es.getplayerhandle(nt_userid)
    if nt_type == 1:
        nt_list = es.createentitylist("hegrenade_projectile")
    if nt_type == 2:
        nt_list = es.createentitylist("flashbang_projectile")
    if nt_type == 3:
        nt_list = es.createentitylist("smokegrenade_projectile")
    for nt_temp in nt_list:
        if nt_player == es.getindexprop(nt_temp, "CBaseGrenade.m_hThrower"):
            smoke(nt_userid, nt_temp, int(nt_type))

def smoke(nt_userid, nt_entity, nt_type):
    nt_location = es.getindexprop(nt_entity, "CBaseEntity.m_vecOrigin")
    es.effect("smoke", nt_location, "smoke", 5, 0.1)
    if nt_type == 1:
        nt_format = "s_he_%s" % nt_userid
    if nt_type == 2:
        nt_format = "s_fb_%s" % nt_userid
    if nt_type == 3:
        nt_format = "s_sg_%s" % nt_userid
    gamethread.delayedname(0.01, nt_format, smoke, args=(nt_userid, nt_entity, nt_type))

def hegrenade_detonate(event_var):
    gamethread.cancelDelayed("s_he_%s" % event_var["userid"])

def smokegrenade_detonate(event_var):
    gamethread.cancelDelayed("s_sg_%s" % event_var["userid"])

def flashbang_detonate(event_var):
    gamethread.cancelDelayed("s_fb_%s" % event_var["userid"])